public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michael Palimaka" <kensington@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/kde:master commit in: kde-apps/artikulate/
Date: Tue, 23 Feb 2016 14:15:29 +0000 (UTC)	[thread overview]
Message-ID: <1456236919.00d162673eb4358dfb735d331a0234dc21fa88eb.kensington@gentoo> (raw)

commit:     00d162673eb4358dfb735d331a0234dc21fa88eb
Author:     Andreas Sturmlechner <andreas.sturmlechner <AT> gmail <DOT> com>
AuthorDate: Sun Feb 21 12:18:05 2016 +0000
Commit:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Tue Feb 23 14:15:19 2016 +0000
URL:        https://gitweb.gentoo.org/proj/kde.git/commit/?id=00d16267

kde-apps/artikulate: Add DEPENDs

Package-Manager: portage-2.2.27

 kde-apps/artikulate/artikulate-9999.ebuild | 20 ++++++++++++++++----
 kde-apps/artikulate/metadata.xml           |  3 +++
 2 files changed, 19 insertions(+), 4 deletions(-)

diff --git a/kde-apps/artikulate/artikulate-9999.ebuild b/kde-apps/artikulate/artikulate-9999.ebuild
index 8eb6e28..baa60a3 100644
--- a/kde-apps/artikulate/artikulate-9999.ebuild
+++ b/kde-apps/artikulate/artikulate-9999.ebuild
@@ -2,7 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
-EAPI=5
+EAPI=6
 
 KDE_HANDBOOK="true"
 inherit kde5
@@ -10,13 +10,13 @@ inherit kde5
 DESCRIPTION="Language learning application that helps improving pronunciation skills"
 HOMEPAGE="https://edu.kde.org/applications/language/artikulate"
 KEYWORDS=""
-IUSE=""
+IUSE="+gstreamer qtmedia"
 
 DEPEND="
+	$(add_frameworks_dep karchive)
 	$(add_frameworks_dep kconfig)
 	$(add_frameworks_dep kconfigwidgets)
 	$(add_frameworks_dep kcrash)
-	$(add_frameworks_dep kdeclarative)
 	$(add_frameworks_dep ki18n)
 	$(add_frameworks_dep knewstuff)
 	$(add_frameworks_dep kwidgetsaddons)
@@ -27,6 +27,18 @@ DEPEND="
 	$(add_qt_dep qtwidgets)
 	$(add_qt_dep qtxml)
 	$(add_qt_dep qtxmlpatterns)
-	>=media-libs/qt-gstreamer-1.2.0[qt5]
+	gstreamer? ( >=media-libs/qt-gstreamer-1.2.0[qt5] )
+	qtmedia? ( $(add_qt_dep qtmultimedia) )
 "
 RDEPEND="${DEPEND}"
+
+REQUIRED_USE="|| ( gstreamer qtmedia )"
+
+src_configure() {
+	local mycmakeargs=(
+		-DBUILD_GSTREAMER_PLUGIN=$(usex gstreamer)
+		-DBUILD_QTMULTIMEDIA_PLUGIN=$(usex qtmedia)
+	)
+
+	kde5_src_configure
+}

diff --git a/kde-apps/artikulate/metadata.xml b/kde-apps/artikulate/metadata.xml
index 2fdbf33..34d1ba6 100644
--- a/kde-apps/artikulate/metadata.xml
+++ b/kde-apps/artikulate/metadata.xml
@@ -5,4 +5,7 @@
 		<email>kde@gentoo.org</email>
 		<name>Gentoo KDE Project</name>
 	</maintainer>
+	<use>
+		<flag name="qtmedia">Enable playback via Qt5Multimedia</flag>
+	</use>
 </pkgmetadata>


             reply	other threads:[~2016-02-23 14:15 UTC|newest]

Thread overview: 12+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-02-23 14:15 Michael Palimaka [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-02-04 13:16 [gentoo-commits] proj/kde:master commit in: kde-apps/artikulate/ Andreas Sturmlechner
2020-07-18  8:57 Andreas Sturmlechner
2019-10-19 11:23 Andreas Sturmlechner
2019-02-09  9:56 Andreas Sturmlechner
2017-12-25 10:30 Michael Palimaka
2017-12-25 10:30 Michael Palimaka
2015-10-19 18:28 Michael Palimaka
2015-10-17 14:34 Michael Palimaka
2015-07-26 11:37 Johannes Huber
2015-05-10 18:05 Michael Palimaka
2015-04-03 19:43 Michael Palimaka

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1456236919.00d162673eb4358dfb735d331a0234dc21fa88eb.kensington@gentoo \
    --to=kensington@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox